<?php

namespace gchart;

class utility
{
    public static function getMaxOfArray($ArrayToCheck)
    {
        $maxValue = 0;

        foreach($ArrayToCheck as $temp)
        {
            if(is_array($temp))
            {
                $maxValue = max($maxValue, utility::getMaxOfArray($temp));
            }
            else
            {
                $maxValue = max($maxValue, $temp);
            }
        }
        return $maxValue;
    }
}?>
